{ inputs, outputs, config, lib, ... }:

{
  options = {
    settings.host = lib.mkOption {
      type = lib.types.str;
      description = "Hostname";
    };
  };

  imports = [
    ./applications/alacritty.nix
    ./applications/common.nix
    ./applications/devenv.nix
    ./applications/firefox.nix
    ./applications/git.nix
    ./applications/helix.nix
    ./applications/zsh.nix
    ./applications/ssh.nix
    ./applications/thunderbird.nix
    ./applications/yazi.nix
    ./applications/zellij.nix
    ./applications/wezterm.nix
    ./applications/nushell.nix
    ./applications/typst.nix
    ./applications/obs-studio.nix

    ./services/nextcloud.nix
    ./services/podman.nix
    ./services/sops.nix

    ./theming/fonts.nix
    ./theming/stylix.nix

    ./desktop-environments/hyprland/default.nix
    ./desktop-environments/niri/default.nix

    ./containers/network.nix

    ./containers/caddy.nix
    ./containers/kanidm.nix
    ./containers/nginx.nix
    ./containers/forgejo.nix
    ./containers/immich.nix
    ./containers/homepage.nix
    ./containers/uptime-kuma.nix
    ./containers/pingvin-share.nix
    ./containers/vaultwarden.nix
    ./containers/paperless-ngx.nix
    ./containers/beszel.nix
    ./containers/storage.nix
    ./containers/homeassistant.nix
    ./containers/karakeep.nix
    ./containers/vikunja.nix
    ./containers/stalwart.nix
    ./containers/static.nix
    ./containers/linkding.nix
    ./containers/jellyfin.nix
  ];

  config = {
  	nixpkgs = {
  		overlays = [
  			outputs.overlays.unstable-packages
  			outputs.overlays.additions
  			outputs.overlays.modifications
  		];
  	};
  };
}
