{ config, pkgs, lib, inputs, ... }:

with lib;

let
  cfg = config.settings.desktop-environments.niri.mako;
in {
  options = {
    settings.desktop-environments.niri.mako.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable mako notifiaction deamon
      '';
      default = config.settings.desktop-environments.niri.enable;
    };
  };

  config = mkIf cfg.enable {
    services.mako.enable = true;
  };
}
