{ lib, config, pkgs, ... }:

with lib;

let
  cfg = config.settings.display-manager;
in {
  config = mkIf (cfg == "greetd") {
    # systemd.services.greetd = {
    #   serviceConfig.Type = "idle";
    #   # unitConfig.After = [ "docker.service" ];
    # };

    systemd.services.greetd.serviceConfig = {
      Type = "idle";
      StandardInput = "tty";
      StandardOutput = "tty";
      StandardError = "journal"; # Without this errors will spam on screen
      # Without these bootlogs will spam on screen
      TTYReset = true;
      TTYVHangup = true;
      TTYVTDisallocate = true;
    };

    services.greetd = {
      enable = true;
      settings = {
        default_session = {
          command = "${pkgs.greetd.tuigreet}/bin/tuigreet --time --remember --cmd niri-session";
          user = "greeter";
        };
      };
    };
  };
}
